INTERFACE
SUBROUTINE UPDVPOS(CDCONF,&
 & KTFPP,KTFPH,KTFPTH,KTFPPV,KTFPS,KOFP2F,&
 & KOFPP,KOFPH,KOFPTH,KOFPPV,KOFPS,&
 & KAFPP,KAFPH,KAFPT,KAFPV,KAFPS,KOFP2A,&
 & KCPFP,KCHFP,KCTFP,KCVFP,KCSFP,KC2FP,&
 & KPFP,KHFP,KTFP,KVFP,KSFP,&
 & KIPFP,KIHFP,KITFP,KIVFP,KISFP,KI2FP,&
 & PLEV,KFPLEV) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMFPC , ONLY : NFPXLEV ,CFPFMT ,RFP3P ,RFP3H ,RFP3TH ,&
 & RFP3PV ,NRFP3S ,NFPDOM ,NFP2DF ,&
 & NFP3DFS ,NFP3DFP ,NFP3DFT ,NFP3DFH ,NFP3DFV ,&
 & NFP3P ,NFP3H ,NFP3TH ,NFP3PV ,NFP3S 
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KTFPP
INTEGER(KIND=JPIM),INTENT(IN) :: KTFPH
INTEGER(KIND=JPIM),INTENT(IN) :: KTFPTH
INTEGER(KIND=JPIM),INTENT(IN) :: KTFPPV
INTEGER(KIND=JPIM),INTENT(IN) :: KTFPS
INTEGER(KIND=JPIM),INTENT(IN) :: KOFP2F
INTEGER(KIND=JPIM),INTENT(IN) :: KOFPP(NFP3DFP)
INTEGER(KIND=JPIM),INTENT(IN) :: KOFPH(NFP3DFH)
INTEGER(KIND=JPIM),INTENT(IN) :: KOFPTH(NFP3DFT)
INTEGER(KIND=JPIM),INTENT(IN) :: KOFPPV(NFP3DFV)
INTEGER(KIND=JPIM),INTENT(IN) :: KOFPS(NFP3DFS)
INTEGER(KIND=JPIM),INTENT(IN) :: KAFPP(NFP3P,NFP3DFP)
INTEGER(KIND=JPIM),INTENT(IN) :: KAFPH(NFP3H,NFP3DFH)
INTEGER(KIND=JPIM),INTENT(IN) :: KAFPT(NFP3TH,NFP3DFT)
INTEGER(KIND=JPIM),INTENT(IN) :: KAFPV(NFP3PV,NFP3DFV)
INTEGER(KIND=JPIM),INTENT(IN) :: KAFPS(NFP3S,NFP3DFS)
INTEGER(KIND=JPIM),INTENT(IN) :: KOFP2A(NFP2DF)
INTEGER(KIND=JPIM),INTENT(IN) :: KCPFP(NFP3DFP)
INTEGER(KIND=JPIM),INTENT(IN) :: KCHFP(NFP3DFH)
INTEGER(KIND=JPIM),INTENT(IN) :: KCTFP(NFP3DFT)
INTEGER(KIND=JPIM),INTENT(IN) :: KCVFP(NFP3DFV)
INTEGER(KIND=JPIM),INTENT(IN) :: KCSFP(NFP3DFS)
INTEGER(KIND=JPIM),INTENT(IN) :: KC2FP(NFP2DF)
INTEGER(KIND=JPIM),INTENT(IN) :: KPFP(NFP3P,NFP3DFP)
INTEGER(KIND=JPIM),INTENT(IN) :: KHFP(NFP3H,NFP3DFH)
INTEGER(KIND=JPIM),INTENT(IN) :: KTFP(NFP3TH,NFP3DFT)
INTEGER(KIND=JPIM),INTENT(IN) :: KVFP(NFP3PV,NFP3DFV)
INTEGER(KIND=JPIM),INTENT(IN) :: KSFP(NFP3S,NFP3DFS)
INTEGER(KIND=JPIM),INTENT(IN) :: KIPFP(NFPDOM,NFP3P,NFP3DFP)
INTEGER(KIND=JPIM),INTENT(IN) :: KIHFP(NFPDOM,NFP3H,NFP3DFH)
INTEGER(KIND=JPIM),INTENT(IN) :: KITFP(NFPDOM,NFP3TH,NFP3DFT)
INTEGER(KIND=JPIM),INTENT(IN) :: KIVFP(NFPDOM,NFP3PV,NFP3DFV)
INTEGER(KIND=JPIM),INTENT(IN) :: KISFP(NFPDOM,NFP3S,NFP3DFS)
INTEGER(KIND=JPIM),INTENT(IN) :: KI2FP(NFPDOM,NFP2DF)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLEV(NFPXLEV)
INTEGER(KIND=JPIM),INTENT(OUT) :: KFPLEV
END SUBROUTINE UPDVPOS
END INTERFACE
